| CMSIS-Driver Version 2.02 Peripheral Interface for Middleware and Application Code

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
USART Data Bits
USART Control Codes

Defines the number of data bits. More...

## Macros

#define | ARM_USART_DATA_BITS_5 (5UL << ARM_USART_DATA_BITS_Pos)
| 5 Data bits
#define | ARM_USART_DATA_BITS_6 (6UL << ARM_USART_DATA_BITS_Pos)
| 6 Data bit
#define | ARM_USART_DATA_BITS_7 (7UL << ARM_USART_DATA_BITS_Pos)
| 7 Data bits
#define | ARM_USART_DATA_BITS_8 (0UL << ARM_USART_DATA_BITS_Pos)
| 8 Data bits (default)
#define | ARM_USART_DATA_BITS_9 (1UL << ARM_USART_DATA_BITS_Pos)
| 9 Data bits

## Description

Defines the number of data bits.

## Macro Definition Documentation

#define ARM_USART_DATA_BITS_5 (5UL << ARM_USART_DATA_BITS_Pos)

5 Data bits

See Also
  ARM_USART_Control

#define ARM_USART_DATA_BITS_6 (6UL << ARM_USART_DATA_BITS_Pos)

6 Data bit

See Also
  ARM_USART_Control

#define ARM_USART_DATA_BITS_7 (7UL << ARM_USART_DATA_BITS_Pos)

7 Data bits

See Also
  ARM_USART_Control

#define ARM_USART_DATA_BITS_8 (0UL << ARM_USART_DATA_BITS_Pos)

8 Data bits (default)

See Also
  ARM_USART_Control

#define ARM_USART_DATA_BITS_9 (1UL << ARM_USART_DATA_BITS_Pos)

9 Data bits

See Also
  ARM_USART_Control